
import 'package:flutter_vasat/storage/shared_preferences_provider.dart';
import 'package:flutter_vasat/storage/storage_provider.dart';

class VasatConfig {

  String host;
  String clientId;
  String clientSecret;
  bool debug;
  VasatStorageProvider? storageProvider;

  VasatConfig({required this.host, required this.clientId, this.clientSecret = "", this.debug = false, this.storageProvider}) {
    storageProvider = storageProvider ?? VasatSharedPreferencesProvider();
  }
}