
class VasatError implements Exception {

  final int status;
  final String error;
  final String description;
  Exception? exception;

  VasatError(this.error, {this.status = 500, this.description = "", this.exception});

  VasatError.fromMap(Map<String, dynamic> error) : error = error["error"] ?? "", description = error["error_description"] ?? "", status = error["status"] ?? 500;

  String toString() {

    return "Exception: $error - $description";
  }
}